.slider-container {
  margin: 0 auto;
  padding: 60px 140px;
  overflow: hidden;
}

.slide {
  cursor: pointer;
}

.slick-list {
  overflow: visible !important;
  height: auto !important;
}

.slick-track {
  display: flex !important;
  align-items: stretch;
}

.slick-slide {
  position: relative;
  display: flex !important;
  align-items: center;
  justify-content: space-around;
  padding: 60px;
  border-radius: 10px;
  width: calc(33.33% - 50px) !important;
  height: auto;
  box-sizing: border-box;
  margin: 0 25px;
  cursor: pointer;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.slick-slide.slick-active {
  opacity: 1;
}

.slick-slide.slick-center {
  transform: scale(1.05);
  z-index: 10;
}

.slide-content {
  width: 60%;
  color: white;
  z-index: 1;
}

.slide__title {
  font-size: 2rem;
  font-weight: 600;
  text-transform: uppercase;
  margin-bottom: 15px;
}

.slide__title span {
  text-transform: none;
  font-size: 3rem;
}

.slide__descr {
  font-size: 1.5rem;
  margin-bottom: 15px;
}

.slide__text {
  font-size: 1rem;
  margin-bottom: 10px;
}

.slide-image {
  max-height: 500px;
  object-fit: cover;
  border-radius: 10px;
  z-index: 0;
}

.slide__buttons {
  display: flex;
  flex-wrap: wrap;
  position: absolute;
  bottom: 30px;
}

.slide__btn {
  padding: 10px 20px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 10px;
}

.slide__btn a {
  text-decoration: none;
  display: flex;
  align-items: center;
  gap: 5px;
}

.slide__btn:hover {
  background-color: #f0f0f0;
}

.slide__buttons--one-column {
  flex-direction: row;
}

.slide__buttons--one-column button {
  margin-right: 10px;
}

.btn-icon {
  margin: 10px auto 0;
  display: block;
  width: 120px;
}

/* Стили для точек навигации */
.slick-dots {
  display: flex;
  justify-content: center;
  list-style: none;
  padding: 20px 0;
  margin: 0;
}

.slick-dots li {
  margin: 0 10px;
}

.slick-dots button {
  width: 40px;
  height: 5px;
  background: #e0e0e0;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s;
}

.slick-dots li.slick-active button {
  background: linear-gradient(90deg, #4a90e2, #50e3c2);
  width: 50px;
}

.slide__btn {
  font-size: 1.5rem;
  color: white;
  font-weight: 600;
  text-align: center;
  border-radius: 0.5rem;
  padding: 0.3125rem 0.625rem;
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
  z-index: 1;
  background: linear-gradient(90deg, #4a90e2, #50e3c2);
}

.slide__btn:before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
  z-index: -1;
}

.slide__btn:hover {
  color: rgb(68 69 69);
  box-shadow: 0.0625rem 0.0625rem 0.25rem rgba(0, 0, 0, 0.5);
}

.slide__btn:hover:before {
  left: 0;
}

.slide__btn:active {
  background-color: #022247;
  border-color: #022247;
  box-shadow: inset 0.0625rem 0.0625rem 0.25rem rgba(0, 0, 0, 0.5);
  color: #fff;
}

.slide__btn:active:before {
  left: 0;
  background-color: rgba(0, 0, 0, 0.2);
}

/* Стили для стрелок слайдера */
.slick-prev,
.slick-next {
  /* background: rgba(66, 66, 66, 0.2); */
  backdrop-filter: blur(10px);
  border-radius: 10%;
  width: 25px;
  padding: 45px 25px;
  position: absolute;
  top: 38%;
  font-size: 20px;
  font-weight: 600;
  line-height: 40px;
  text-align: center;
  cursor: pointer;
  z-index: 10;
  transition: background 0.3s, color 0.3s;
  color: transparent;
  box-sizing: border-box;
  margin: 0;
}

.slick-prev {
  left: -25px;
}

.slick-next {
  right: -25px;
}

.slick-prev:hover,
.slick-next:hover {
  background: rgba(66, 66, 66, 0.2);
}

/* Стили для стрелок-иконок */
.arrow-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(
    135deg,
    var(--button-gradient-start),
    var(--button-gradient-end)
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 52px;
}

/* Удаляем старые псевдоэлементы */
.slick-prev:before,
.slick-next:before {
  content: none;
}

/* Устанавливаем правила для слайдера и его контейнера */
.slider-container {
  position: relative;
}

.slider {
  position: relative;
}

@media (max-width: 1200px) {
  .slide-content {
    width: 100%;
  }
  .slide__title {
    font-size: 1.5rem;
  }
  .slide__descr {
    font-size: 1rem;
  }
  .slide-image {
    max-height: 310px;
  }
  .slick-slide {
    padding: 20px;
    flex-wrap: wrap;
    flex-direction: column-reverse;
  }
  .slide__buttons {
    position: static;
  }
}

@media (max-width: 768px) {
  .slider-container {
    margin: 0 auto;
    padding: 40px 40px;
    overflow: hidden;
  }
  .slick-slide {
    margin: 0 10px;
  }
  .slick-dots {
    padding-bottom: 0;
  }
  .slick-dots button {
    width: 25px;
  }
  .slick-dots li.slick-active button {
    width: 30px;
  }
}

@media (max-width: 576px) {
  .slide__title {
    font-size: 1rem;
  }

  .slide__title span {
    font-size: 2rem;
  }

  .slide__descr {
    font-size: 0.9rem;
  }
  .slide__text {
    font-size: 0.9rem;
    margin-bottom: 5px;
  }
  .slide__btn {
    font-size: 1rem;
    width: 100%;
  }

  .slide__btn a {
    display: inline-flex;
  }

  .slide__buttons--one-column button {
    margin-right: 0;
  }

  .slick-dots li {
    margin: 0 5px;
  }
}
